Subject: bug#19370: Acknowledgement (LT 2.4.4 regression (vs. 2.4.2))

From: "Jeff Squyres (jsquyres)" <[email-masked]>
Date: Sat, 17 Jan 2015 03:23:47 +0000

On Jan 16, 2015, at 8:26 AM, Gary V. Vaughan <[email-masked]> wrote:
> 
> I think I'll try to release Libtool 2.4.5 later today, and then hack all the
> multi-mode libltdl subproject support out entirely for the next release, which
> neatly sidesteps the trickle of bugs caused all the little subtle interactions
> between the various generated files.

Is it really true that Linux systems all install libltdl-devel by default these days?

Without it, Open MPI can't compile its libltdl support, which is pretty key.

I ask because most people will install a Linux distro and then go grab the latest Open MPI tarball and build it from source (because OMPI releases far faster than distros, and we don't distribute binaries).

Plugins are pretty critical to Open MPI... that's why we embed libltdl.

It would be pretty bad for us if you prevent us from embedding libltdl.  We would be very, very sad pandas.  :-(

-- 
Jeff Squyres
[email-masked]
For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/